Name:           plog
Version:        1.1.10
Release:        %mkrel 2
Summary:        Portable, simple and extensible C++ logging library
Group:          Development/C++
License:        MIT
URL:            https://github.com/SergiusTheBest/plog
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Remove-some-cmake-warnings.patch
Patch2:         0002-Minimum-required-cmake-version-as-of-cmake-3.31.patch
# This is a header only library
BuildArch:      noarch

BuildRequires:  cmake

%description
Plog is a C++ logging library that is designed to be as simple,
small and flexible as possible. It is created as an alternative
to existing large libraries and provides some unique features
as CSV log format and wide string support.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-static = %{version}-%{release}

%description    devel
Plog is a C++ logging library that is designed to be as simple,
small and flexible as possible. It is created as an alternative
to existing large libraries and provides some unique features
as CSV log format and wide string support.

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1

%build
%cmake -DPLOG_BUILD_TESTS=ON \
       -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%install
%cmake_install

# Delete wrongly installed doc content, we'll docify later
rm -rv %{buildroot}%{_datadir}/doc/%{name}

%check
%ctest

%files devel
%license LICENSE
%doc README.md doc
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/


%changelog
* Tue Jul 01 2025 daviddavid <daviddavid> 1.1.10-2.mga10
+ Revision: 2233387
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Feb 11 2024 daviddavid <daviddavid> 1.1.10-1.mga10
+ Revision: 2040208
- initial package plog (needed for libdatachannel)

